summaryrefslogtreecommitdiff
path: root/Master/tlpkg/bin
diff options
context:
space:
mode:
authorKarl Berry <karl@freefriends.org>2018-05-31 16:50:47 +0000
committerKarl Berry <karl@freefriends.org>2018-05-31 16:50:47 +0000
commitf0f17bdc41dd87d1ccf27aab79a0e78759d4a2eb (patch)
tree7669daa03ce0cc7c72d40fbb3cef39282d1e05e8 /Master/tlpkg/bin
parentd9b4790ef3c451ec8efc33bfb60501b0baca6957 (diff)
xz -d some more; dump ::progs at ddebug levels
git-svn-id: svn://tug.org/texlive/trunk@47887 c570f23f-e606-0410-a88d-b1316a301751
Diffstat (limited to 'Master/tlpkg/bin')
-rwxr-xr-xMaster/tlpkg/bin/tl-makeself-from-tlnet6
-rwxr-xr-xMaster/tlpkg/bin/tl-update-tlcritical4
2 files changed, 6 insertions, 4 deletions
diff --git a/Master/tlpkg/bin/tl-makeself-from-tlnet b/Master/tlpkg/bin/tl-makeself-from-tlnet
index f4d497403a6..1ed089c93cf 100755
--- a/Master/tlpkg/bin/tl-makeself-from-tlnet
+++ b/Master/tlpkg/bin/tl-makeself-from-tlnet
@@ -58,7 +58,8 @@ fi
for i in "$ARCHIVE"/$infrapkg*.tar.xz; do
case "$i" in
*win32*) ;;
- *) xzdec <"$i" | tar -xf - || exit 1;;
+ *) : "uncompressing $i" # for debugging
+ xz -d <"$i" | tar -xf - || exit 1;;
esac
done
@@ -119,6 +120,7 @@ if test -r "$ROOT/tlpkg/texlive.tlpdb" && test -d "$ROOT/tlpkg/tlpobj/"; then
mv ./master/bin .
mkdir ./installer
mv ./master/tlpkg/installer/xz ./installer
+ mv ./master/tlpkg/installer/lz4 ./installer
mv ./master/tlpkg/installer/wget ./installer
# install the architecture-independent files.
@@ -130,7 +132,7 @@ if test -r "$ROOT/tlpkg/texlive.tlpdb" && test -d "$ROOT/tlpkg/tlpobj/"; then
t_wgetdir=$t_instdir/wget
#
# ensure these target directories exist.
- mkdir -p "$t_xzdir" "$t_wgetdir"
+ mkdir -p "$t_xzdir" "$t_lz4dir" "$t_wgetdir"
# Start the list of tlpobjs we will install with the
# platform-independent part of the infrastructure package.
diff --git a/Master/tlpkg/bin/tl-update-tlcritical b/Master/tlpkg/bin/tl-update-tlcritical
index f8f8f472527..c67617e1155 100755
--- a/Master/tlpkg/bin/tl-update-tlcritical
+++ b/Master/tlpkg/bin/tl-update-tlcritical
@@ -3,7 +3,7 @@
# Public domain. Originally written 2008, Karl Berry.
# Update the tlcritical mini-repository on tug with the critical
# packages. Also listed in tl-update-containers, unfortunately.
-# Run from cron.tl once a month, or whenever specified.
+# Run from cron.tl.
tlcrit=/home/ftp/texlive/tlcritical
recreate=
@@ -83,7 +83,7 @@ tl-update-containers -location $tlcrit $recreate -all \
$moredis
# update Unix disaster recovery.
-echo "$0: running tl-makeself-from-tlnet..."
+echo "$0: running tl-makeself-from-tlnet $tlcrit..."
tl-makeself-from-tlnet $tlcrit
do_updater sh